Skip to content
Peewee Adapter for PyCasbin
Branch: master
Clone or download
Fetching latest commit…
Cannot retrieve the latest commit at this time.
Permalink
Type Name Latest commit message Commit time
Failed to load latest commit information.
casbin_peewee_adapter
tests
.coveragerc
.gitignore
.travis.yml
LICENSE
README.md
requirements.txt
settings.yml
setup.py

README.md

Peewee Adapter for PyCasbin

Build Status Coverage Status Version PyPI - Wheel Pyversions Download License

Peewee Adapter is the Peewee adapter for PyCasbin. With this library, Casbin can load policy from Peewee supported database or save policy to it.

Based on Officially Supported Databases, The current supported databases are:

  • PostgreSQL
  • MySQL
  • SQLite

Installation

pip install casbin_peewee_adapter

Simple Example

import casbin_peewee_adapter
import casbin
import peewee
DATABAEE = peewee.SqliteDatabase('db.sqlite3')
adapter = casbin_peewee_adapter.Adapter(database=DATABAEE)

e = casbin.Enforcer('path/to/model.conf', adapter, True)

sub = "alice"  # the user that wants to access a resource.
obj = "data1"  # the resource that is going to be accessed.
act = "read"  # the operation that the user performs on the resource.

if e.enforce(sub, obj, act):
    # permit alice to read data1casbin_peewee_adapter
    pass
else:
    # deny the request, show an error
    pass

Getting Help

License

This project is licensed under the Apache 2.0 license.

You can’t perform that action at this time.